%define upstream_name bottleneck

Name:           python-%{upstream_name}
Version:        1.2.1
Release:        %mkrel 4
Summary:        Fast NumPy array functions written in C
Group:          Development/Python
License:        BSD
URL:            https://github.com/kwgoodman/bottleneck
Source0:        https://pypi.io/packages/source/B/Bottleneck/Bottleneck-%{version}.tar.gz
Patch0:         bottleneck-1.2.1-linking.patch

%description
Bottleneck is a collection of fast NumPy array functions written in C.

%package -n     python3-%{upstream_name}
Summary:        Fast NumPy array functions written in C
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3-numpy-devel
%{?python_provide:%python_provide python3-%{upstream_name}}

%description -n python3-%{upstream_name}
Bottleneck is a collection of fast NumPy array functions written in C.

%prep
%autosetup -n Bottleneck-%{version} -p1

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%{python3_sitearch}/bottleneck
%{python3_sitearch}/Bottleneck-%{version}-*.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.2.1-4.mga8
+ Revision: 1534097
- Mageia 8 Mass Rebuild

* Fri Sep 27 2019 daviddavid <daviddavid> 1.2.1-3.mga8
+ Revision: 1447002
- add patch to fix linking issue

* Tue Sep 24 2019 tv <tv> 1.2.1-2.mga8
+ Revision: 1445400
- "fix" underlinking
- rebuild for python-3.8
- drop python2 subpkg

* Sun Mar 24 2019 guillomovitch <guillomovitch> 1.2.1-1.mga7
+ Revision: 1380000
- imported package python-bottleneck

